body {
    background-color: #f0f0f0;
}

.splash-screen {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #F0F0F0;
    height: 100vh;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 998;
}

.logo {
    width: 274px;
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 999;
    transform: translate(-50%, -50%);
    transition: all 375ms ease;
}

.logo--moved {
    position: absolute;
    top: 80px;
    left: 80px;
    width: 100px;
    transform: translate(0, 0);
}

.login-main-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #F0F0F0;
    height: 100vh;
}

header {
    padding: 80px 77px 0 80px;
    display: flex;
    justify-content: space-between;
}

header>div>div {
    gap: 16px;
    display: flex;
    align-items: center;
}

header p,
button {
    font-size: 24px;
}

#btn_signup:disabled {
    background-color: #cccccc;
    color: #888888;
    cursor: not-allowed;
    opacity: 0.7;
}

footer {
    padding: 40px 0;
    display: flex;
    justify-content: center;
    gap: 32px;
}

.form-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
}

form {
    display: flex;
    gap: 8px;
    flex-direction: column;
    background-color: #fff;
    border-radius: 30px;
    padding: 48px 115px;
    margin: 0 20px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
}

form>h1 {
    margin-bottom: 32px;
    text-align: center;
    font-size: 44px;
    text-decoration: underline;
    text-decoration-color: #29abe3;
    text-underline-offset: 16px;
    text-decoration-thickness: 2px;
}

form>div {
    gap: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-btn-container {
    margin-top: 16px;
}

.icon-wrapper .checked {
    display: none;
}

.checkbox-container input[type="checkbox"]:checked~.icon-wrapper .unchecked {
    display: none;
}

.checkbox-container input[type="checkbox"]:checked~.icon-wrapper .checked {
    display: inline;
}

.back-signup {
    top: 40px;
    left: 40px;
}

.form-elements-padding {
    padding: 0 21px;
}

.user-feedback-overlay {
    height: 100vh;
    z-index: 9999;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    left: 0;
    top: 0;
    right: 0;
}

.show {
    transform: translateY(0) !important;
}

.user-feedback-overlay button {
    max-width: 50%;
    padding: 16px;
    transform: translateY(100vh);
    transition: transform 0.8s ease-out;
}

.checkbox-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 16px;
}

@media (min-width: 1921px) {
    .login-main-content {
        max-width: 1920px;
        margin: 0 auto;
    }
}

@media (max-width: 1920px) {
    .back-signup {
        top: 48px;
    }
}

@media (max-width: 1200px) {
    header {
        padding: 32px 64px 0 64px;
    }

    .logo--moved {
        top: 32px;
        left: 64px;
    }
}

@media (max-width: 1024px) {
    .splash-screen {
        background-color: #2A3647;
    }
}

@media (max-width: 768px) {
    .logo--moved {
        left: 36px;
        top: 36px;
    }

    header {
        padding: 36px 36px 0 36px;
    }

    form {
        padding: 32px 32px;
    }

    .mobile-flex-col {
        flex-direction: column;
    }

    .cta-text-mobile-sm {
        font-size: 16px !important;
    }

    .login-btn-container {
        gap: 10px;
    }

    .login-btn-container button {
        width: 70%;
    }

    .back-signup {
        top: 36px;
    }

    .user-feedback-overlay button {
        max-width: 80%;
    }

    label {
        font-size: 16px !important;
    }
}

@media (max-width: 520px) {
    header {
        padding: 36px 36px 16px 36px;
    }

    form {
        padding: 32px 0;
    }

    .cta-container {
        width: 100%;
        display: flex;
        justify-content: center;
        padding: 1rem 0;
        margin-top: 2rem;
    }

    .cta-container div {
        display: flex;
        align-items: center;
        gap: 16px;
    }
}

@media (max-width: 375px) {
    #logo_new {
        width: 64px;
    }

    header {
        padding: 24px 24px 8px 24px;
    }

    footer {
        padding: 16px 0;
    }

    .cta-container {
        margin-top: 0;
    }

    input {
        height: 40px;
    }

    form {
        padding: 24px 0;
        gap: 0;
    }

    form>h1 {
        margin-bottom: 24px;
        font-size: 40px;
    }
}

@media (max-width: 350px) {
    form {
        padding: 32px 0;
    }

    .back-signup {
        top: 36px;
        left: 20px;
    }
}